function love.load(args)
	green   = {0,255,0}
	red     = {255,0,0}
	black   = {0,0,0}
	reminder= love.audio.newSource 'reminder.wav'
	tick    = love.audio.newSource 'tick.wav'
	paused  = true
	on_break= false
	
	break_time        = 60*5
	work_time         = 60*25
	long_break_counter= 0
	t                 = work_time
	
	big_font = love.graphics.newFont(70)
	norm_font= love.graphics.newFont(12)
	
	function goToWork()
		t       = work_time
		paused  = true
		on_break= false
		love.window.setTitle( 'STOPPED' )
	end
	
	function goToBreak()
		t       = break_time
		paused  = true
		on_break= true
		love.window.setTitle( 'STOPPED' )
	end
	
	function goToLongBreak()
		t       = break_time * 2
		paused  = true
		on_break= true
		love.window.setTitle( 'STOPPED' )
	end
end

function love.update(dt)
	if not paused then 
		old_t = t
		t = t - dt
		if on_break then
			if t <= 0 then
				goToWork()
				reminder:play()		
			end
		else
			if t <= 0 then
				reminder:play()
				
				long_break_counter = long_break_counter + 1
				if long_break_counter == 4 then
					long_break_counter = 0
					goToLongBreak()
				else
					goToBreak()
				end
			end
			
			if math.floor(old_t) ~= math.floor(t) then
				tick:play()
			end
		end
	end
end

function love.keypressed(k)
	if k == ' ' then
		paused = not paused
		love.window.setTitle( 'PAUSED' )
	elseif k == 'tab' then
		if on_break then
			goToBreak()
		else
			goToWork()
		end
	elseif k == '1' then
		goToWork()
	elseif k == '2' then
		goToBreak()
	elseif k == '3' then
		goToLongBreak()
	end
end

function love.draw()
	if on_break then
		love.graphics.setBackgroundColor(unpack(green))
	else
		love.graphics.setBackgroundColor(unpack(red))
	end
	
	local time = ('%02d:%02d'):format(math.floor((t+1)/60),math.ceil(t) % 60)
	
	if paused then
		msg = {
			'Press space to unpause/pause',
			'Press 1/2/3 to toggle mode',
			'Press tab to reset',
			'On break: '..tostring(on_break),
			'Time remaining: '..time,
		}
		love.graphics.setColor(unpack(black))
		love.graphics.setFont(norm_font)
		love.graphics.print(table.concat(msg,'\n'),0,0)
	else
		love.window.setTitle( time )
		love.graphics.setColor(unpack(black))
		love.graphics.setFont(big_font)
		love.graphics.printf(time,0,0,200,'center')	
	end
	
	
end